Bug 169142 - xorg-x11 displays black screen only after switching to and from a vt
xorg-x11 displays black screen only after switching to and from a vt
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
: 175580 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 12:12 EDT by Gerhard Raven
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 12:35:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (57.41 KB, text/plain)
2005-09-23 12:14 EDT, Gerhard Raven
no flags Details
dmesg (14.23 KB, text/plain)
2005-09-23 12:15 EDT, Gerhard Raven
no flags Details
lspci (4.59 KB, text/plain)
2005-09-23 12:15 EDT, Gerhard Raven
no flags Details
xorg.conf (3.38 KB, text/plain)
2005-09-23 12:16 EDT, Gerhard Raven
no flags Details
version numbers of xorg rpms (427 bytes, text/plain)
2005-09-23 12:16 EDT, Gerhard Raven
no flags Details
Xorg.0.log with Option "PciOsConfig" "1" (58.16 KB, text/plain)
2005-09-25 06:49 EDT, Gerhard Raven
no flags Details
Xorg.0.log with Option "PciProbe1" "1" (57.58 KB, text/plain)
2005-09-25 06:50 EDT, Gerhard Raven
no flags Details
Xorg.0.log with Option "PciProbe2" "1" (58.23 KB, text/plain)
2005-09-25 06:52 EDT, Gerhard Raven
no flags Details

  None (edit)
Description Gerhard Raven 2005-09-23 12:12:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050724 Red Hat/1.0.6-1.4.1.SL3 Firefox/1.0.6

Description of problem:
after updating from 45 to 49.2, there are some regressions:

1) X starts fine from a VT, but switching to a VT from X and back 
   to X leaves me with a black screen
2) Once the X screensaver has kicked in, I cannot get back my display --
   only the cursor 'comes back alive' -- the remainder of the display 
   stays black...

This is on a SONY PCG-R600HMP with an Intel 82830CGC

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37-FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1. boot to X, then switch to a VT and back
2. alternatively, wait until screensaver 'kicks in', then hit a key
3.
  

Actual Results:  black screen

Expected Results:  get back my desktop...

Additional info:

see attachements...
Comment 1 Gerhard Raven 2005-09-23 12:14:36 EDT
Created attachment 119185 [details]
Xorg.0.log
Comment 2 Gerhard Raven 2005-09-23 12:15:11 EDT
Created attachment 119186 [details]
dmesg
Comment 3 Gerhard Raven 2005-09-23 12:15:41 EDT
Created attachment 119187 [details]
lspci
Comment 4 Gerhard Raven 2005-09-23 12:16:09 EDT
Created attachment 119188 [details]
xorg.conf
Comment 5 Gerhard Raven 2005-09-23 12:16:45 EDT
Created attachment 119189 [details]
version numbers of xorg rpms
Comment 6 Gerhard Raven 2005-09-23 12:22:21 EDT
I wrote:
>
> 2) Once the X screensaver has kicked in, I cannot get back my display --
>   only the cursor 'comes back alive' -- the remainder of the display 
>   stays black...

to be more precise: if I wait long enough for the X screensaver to have switched
of the display, then it does not come back alive. As long as it just displays 
some nice animation, things are fine. I have power management enabled under
'display power management' setting of X screensaver.
Comment 7 Mike A. Harris 2005-09-23 13:08:41 EDT
Thanks for the report.  We will try to reproduce this internally.
Comment 8 Mike A. Harris 2005-09-23 14:42:17 EDT
Please edit your xorg.conf, and add the following option to the "ServerFlags"
section.  If there is no ServerFlags section, create a new one as such:

Section "ServerFlags"
        Option "PciOsConfig" "1"
EndSection

Then save and exit, and reboot the system, then start the X server up again.
Indicate wether the video problem is resolved or not.  If the problem
is still present, remove the above option, and replace it with the following
option instead, and try again:

        Option "PCIProbe1" "1"

Does this option resolve the issue?  If not, please try the following:

        Option "PCIProbe2" "1"

If any of these 3 options work around the problem, please update the bug
report to let us know which ones.  Be sure to reboot the machine before
each try, to ensure a full hardware reset.

This will help us to narrow down wether the problem is related to the PCI
configuration changes, or elsewhere.  Thanks in advance for testing.

Setting status to "NEEDINFO_REPORTER" and awaiting feedback.
Comment 9 Gerhard Raven 2005-09-25 06:49:52 EDT
Created attachment 119233 [details]
Xorg.0.log with Option "PciOsConfig" "1"
Comment 10 Gerhard Raven 2005-09-25 06:50:59 EDT
Created attachment 119234 [details]
Xorg.0.log with Option "PciProbe1" "1"
Comment 11 Gerhard Raven 2005-09-25 06:52:06 EDT
Created attachment 119235 [details]
Xorg.0.log with Option "PciProbe2" "1"
Comment 12 Gerhard Raven 2005-09-25 06:57:05 EDT
None of the three ServerFlags solves the vt switching problem -- it still
persists. I've attached the Xorg.0.log files for each of them. To test the
screensaver problem I changed the settings (the idea of waiting for >15 min. 
each time wasn't very attractive!) but after changing them I cannot reproduce
the problem (sorry, I hate submitting un-reproducible bug reports and hoped that 
I could reproduce it, but cannot -- at least the vt switching is very much 
reproducible!)
Comment 13 Mike A. Harris 2005-09-26 23:46:58 EDT
Ok, we seem to have narrowed this down to an i810 driver regression.  The
new i945 support patch from Alan H, which is integrated into FC3/FC4/RHEL4
seems to have some regressions.  Hopefully we can narrow it down soon.

I'll check latest CVS head for differences, and contact Alan as well to see if
he's got any ideas.

For now, please try these rpms, which contain the original i810 driver:

ftp://people.redhat.com/mharris/testing/unstable/xorg-x11/6.8.2-37.FC4.49.3.test_no_i945.0

Please update the bug to indicate if they work for you.

TIA
Comment 15 Mike A. Harris 2005-09-27 05:18:35 EDT
I had a chat with alanh in IRC about this issue this morning, and it turns
out many i830 BIOSes are buggy.

Suggested workaround, is to use the following to the Device section
of the config file:

       Option "VBERestore"

Using the 49.2 build, does this make the problem go away, or affect
it at all?  You can test it by downgrading just the server rpm with
the latest update using "rpm -Uvh --oldpackage <package>".  yum
might have an option to downgrade too, but I haven't checked.

Setting status to "NEEDINFO_REPORTER", and awaiting testing results.

Comment 16 Gerhard Raven 2005-09-27 06:14:11 EDT
Going back to 49.2, with VBERestore, solves 'half' the problem: I can switch
back and forth between vt and X, and after switching to a vt, the vt works 'all 
the time', but once I've switched from X to vt to X, X stays 'black'. But 
switching to a vt again shows a nicely working vt.... so switching to a 'vt' 
works, but switching to 'X' doesn't.
Comment 17 H.J. Lu 2005-12-12 18:46:52 EST
*** Bug 175580 has been marked as a duplicate of this bug. ***
Comment 18 Mike A. Harris 2006-06-27 12:35:39 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.